﻿using System;
using System.Windows.Forms;
using TroubleInEuclidea.Forms;

namespace TroubleInEuclidea
{
    static class Program
    {
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            var chooser = new SettingsChooser();
            if (chooser.ShowDialog() == DialogResult.OK)
            {
                var settings = chooser.ChosenSettings;

                var core = new TroubleInEuclidea();
                var window = new Window();
                settings.WindowedHandle = window.Handle;
                settings.VSync = true;

                core.Run(settings);
            }
        }
    }
}
