﻿using ComponentFramework;
using ComponentFramework.Modules;
using MTV3D65;

namespace TroubleInEuclidea.Services
{
    class LevelState : Service, ILevelState
    {
        public LevelState(ICore core) : base(core)
        {
            Size = new TV_2DVECTOR(20, 12);
        }

        public TV_2DVECTOR Size { get; set; }
    }

    interface ILevelState : IService
    {
        TV_2DVECTOR Size { get; set; }
    }
}
