﻿using System.Windows.Forms;
using ComponentFramework;
using MTV3D65;

namespace TroubleInEuclidea
{
    class TroubleInEuclidea : Core
    {
        protected override void Initialize()
        {
            InputEngine.Initialize(true, true);
            Engine.AddSearchDirectory("Content");
            Scene.SetTextureFilter(CONST_TV_TEXTUREFILTER.TV_FILTER_ANISOTROPIC);
            Scene.SetMaxAnisotropy(DeviceInfo.GetMaxAnisotropy());
            Engine.DisplayFPS(false);

            Engine.SetWatermarkParameters(CONST_TV_WATERMARKPLACE.TV_WATERMARK_BOTTOMRIGHT, 0);

            Cursor.Hide();
        }
    }
}
