﻿using System;

namespace ComponentFramework.Modules
{
    /// <summary>
    /// Disables a <see cref="Service"/> from auto-loading.
    /// If omitted, all services found in the calling assembly will auto-load.
    /// </summary>
    [AttributeUsage(AttributeTargets.Class)]
    public class DisableAttribute : Attribute
    {
    }
}