﻿namespace ComponentFramework.Modules
{
    /// <summary>
    /// The base class for all services.
    /// </summary>
    public abstract class Service : Module, IService
    {
        /// <summary>
        /// Protected parameterized constructor.
        /// </summary>
        /// <param name="core">The core interface used to load this service.</param>
        protected Service(ICore core) : base(core)
        {
        }
    }
}