﻿using System.Collections.Generic;
using ComponentFramework;
using ComponentFramework.Modules;
using TroubleInEuclidea.Components.Enemies;

namespace TroubleInEuclidea.Services
{
    class EnemiesState : Service, IEnemiesState
    {
        public EnemiesState(ICore core) : base(core)
        {
            Enemies = new List<Enemy>();
        }

        public List<Enemy> Enemies { get; private set; }
    }

    interface IEnemiesState : IService
    {
        List<Enemy> Enemies { get; }
    }
}
